Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-sdl2/plrdlg.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Macros | Functions | Variables
plrdlg.c File Reference
`#include <SDL2/SDL.h>`
`#include "astring.h"`
`#include "fcintl.h"`
`#include "client_main.h"`
`#include "climisc.h"`
`#include "chatline.h"`
`#include "colors.h"`
`#include "diplodlg.h"`
`#include "graphics.h"`
`#include "gui_id.h"`
`#include "gui_main.h"`
`#include "gui_tilespec.h"`
`#include "inteldlg.h"`
`#include "mapview.h"`
`#include "sprite.h"`
`#include "themespec.h"`
`#include "widget.h"`
`#include "plrdlg.h"`

Go to the source code of this file.

## Macros

#define | M_PI 3.14159265358979323846 /* pi */
#define | M_PI_2 1.57079632679489661923 /* pi/2 */

## Functions

static int | player_nation_callback (struct widget *pwidget)
static int | exit_players_dlg_callback (struct widget *pwidget)
static int | player_callback (struct widget *pwidget)
static int | players_window_dlg_callback (struct widget *pwindow)
static int | toggle_draw_war_status_callback (struct widget *pwidget)
static int | toggle_draw_ceasefire_status_callback (struct widget *pwidget)
static int | toggle_draw_peace_status_callback (struct widget *pwidget)
static int | toggle_draw_alliance_status_callback (struct widget *pwidget)
static int | toggle_draw_neutral_status_callback (struct widget *pwidget)
static bool | have_diplomat_info_about (struct player *pplayer)
void | real_players_dialog_update (void *unused)
void | popup_players_dialog (bool raise)
void | popdown_players_dialog (void)
static int | players_nations_window_dlg_callback (struct widget *pwindow)
static int | exit_players_nations_dlg_callback (struct widget *pwidget)
void | popup_players_nations_dialog (void)
void | popdown_players_nations_dialog (void)

## Variables

static struct small_dialog * | pplayers_dlg = NULL
static struct advanced_dialog * | short_players_dlg = NULL

## Macro Definition Documentation

## ◆ M_PI

#define M_PI 3.14159265358979323846 /* pi */

Definition at line 50 of file plrdlg.c.

## ◆ M_PI_2

#define M_PI_2 1.57079632679489661923 /* pi/2 */

Definition at line 53 of file plrdlg.c.

## Function Documentation

## ◆ exit_players_dlg_callback()

static int exit_players_dlg_callback | ( | struct widget * | pwidget | ) |

static

User interacted with player dialog close button.

Definition at line 63 of file plrdlg.c.

Referenced by popup_players_dialog().

## ◆ exit_players_nations_dlg_callback()

static int exit_players_nations_dlg_callback | ( | struct widget * | pwidget | ) |

static

User interacted with nations window close button.

Definition at line 591 of file plrdlg.c.

Referenced by popup_players_nations_dialog().

## ◆ have_diplomat_info_about()

static bool have_diplomat_info_about | ( | struct player * | pplayer | ) |

static

Does the attached player have embassy-level information about the player.

Definition at line 209 of file plrdlg.c.

Referenced by real_players_dialog_update().

## ◆ player_callback()

static int player_callback | ( | struct widget * | pwidget | ) |

static

User interacted with player widget.

Definition at line 76 of file plrdlg.c.

Referenced by popup_players_dialog().

## ◆ player_nation_callback()

static int player_nation_callback | ( | struct widget * | pwidget | ) |

static

User interacted with widget of a single nation/player.

Definition at line 604 of file plrdlg.c.

Referenced by player_callback(), and popup_players_nations_dialog().

## ◆ players_nations_window_dlg_callback()

static int players_nations_window_dlg_callback | ( | struct widget * | pwindow | ) |

static

User interacted with nations window.

Definition at line 583 of file plrdlg.c.

Referenced by popup_players_nations_dialog().

## ◆ players_window_dlg_callback()

static int players_window_dlg_callback | ( | struct widget * | pwindow | ) |

static

User interacted with player dialog window.

Definition at line 85 of file plrdlg.c.

Referenced by popup_players_dialog().

## ◆ popdown_players_dialog()

void popdown_players_dialog | ( | void |  | ) |

Popdown the player list dialog.

Definition at line 567 of file plrdlg.c.

## ◆ popdown_players_nations_dialog()

void popdown_players_nations_dialog | ( | void |  | ) |

Popdown the short player list dialog version.

Definition at line 875 of file plrdlg.c.

Referenced by exit_players_nations_dlg_callback(), player_nation_callback(), and popdown_all_game_dialogs().

## ◆ popup_players_dialog()

void popup_players_dialog | ( | bool | raise | ) |

Popup (or raise) the player list dialog.

Definition at line 334 of file plrdlg.c.

## ◆ popup_players_nations_dialog()

void popup_players_nations_dialog | ( | void |  | ) |

Popup (or raise) the small player list dialog version.

Definition at line 665 of file plrdlg.c.

Referenced by players_action_callback().

## ◆ real_players_dialog_update()

void real_players_dialog_update | ( | void * | unused | ) |

Update all information in the player list dialog.

Definition at line 219 of file plrdlg.c.

## ◆ toggle_draw_alliance_status_callback()

static int toggle_draw_alliance_status_callback | ( | struct widget * | pwidget | ) |

static

User interacted with 'draw alliance status' toggle.

Definition at line 167 of file plrdlg.c.

Referenced by popup_players_dialog().

## ◆ toggle_draw_ceasefire_status_callback()

static int toggle_draw_ceasefire_status_callback | ( | struct widget * | pwidget | ) |

static

User interacted with 'draw cease-fire status' toggle.

Definition at line 125 of file plrdlg.c.

Referenced by popup_players_dialog().

## ◆ toggle_draw_neutral_status_callback()

static int toggle_draw_neutral_status_callback | ( | struct widget * | pwidget | ) |

static

User interacted with 'draw neutral status' toggle.

Definition at line 188 of file plrdlg.c.

Referenced by popup_players_dialog().

## ◆ toggle_draw_peace_status_callback()

static int toggle_draw_peace_status_callback | ( | struct widget * | pwidget | ) |

static

User interacted with 'draw peace status' toggle.

Definition at line 146 of file plrdlg.c.

Referenced by popup_players_dialog().

## ◆ toggle_draw_war_status_callback()

static int toggle_draw_war_status_callback | ( | struct widget * | pwidget | ) |

static

User interacted with 'draw war status' toggle.

Definition at line 104 of file plrdlg.c.

Referenced by popup_players_dialog().

## Variable Documentation

## ◆ pplayers_dlg

struct small_dialog* pplayers_dlg = NULL

static

Definition at line 56 of file plrdlg.c.

Referenced by players_window_dlg_callback(), popdown_players_dialog(), popup_players_dialog(), real_players_dialog_update(), toggle_draw_alliance_status_callback(), toggle_draw_ceasefire_status_callback(), toggle_draw_neutral_status_callback(), toggle_draw_peace_status_callback(), and toggle_draw_war_status_callback().

## ◆ short_players_dlg

struct advanced_dialog* short_players_dlg = NULL

static

Definition at line 578 of file plrdlg.c.

Referenced by popdown_players_nations_dialog(), and popup_players_nations_dialog().